#ifndef LINEARGRAYMAP_H
#define LINEARGRAYMAP_H

#include "QColorMapAction.h"

using namespace std;

/**
 * @brief Colormap using linear distributed gray values.
 */
class LinearGrayMap : public QColorMapAction
{
public:
    LinearGrayMap(QObject *parent) : QColorMapAction(tr("Gray (linear)"),parent) {}

    void apply(vector<QRgb> &colormap)
    {
        int N=colormap.size();
        double step= 256.0/N;
        double val=0.0;
        for(int i=0;i<N;i++)
        {
            uint color=uint(val);
            colormap[i]=qRgb(color,color,color);
            val+=step;
        }
    }
};

#endif // LINEARGRAYMAP_H
