#ifndef RENDERNUMACTION_H
#define RENDERNUMACTION_H

#include <QAction>

/**
 * @brief Class to provide actions to provide the number of renderers.
 */
class RenderNumAction : public QAction
{
    public:
        /**
         * Constructor.
         * @param number Number of threads this action should set.
         * @param parent Parent object of this action.
         */
        RenderNumAction(int number,QObject *parent) : QAction(tr("%1 threads").arg(number),parent),num(number) {  setCheckable(true); }

        /**
         * @brief Inspector for the number of threads this action should set.
         * @return Number of threads this action should set.
         */
        int getNumberOfThreads() const { return num; }

    private:
        int num;
};

#endif // RENDERNUMACTION_H
